Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Equinox » how to get rid of old update manager?
how to get rid of old update manager? [message #500918] Mon, 30 November 2009 10:14
Jacek Pospychala is currently offline Jacek Pospychala
Messages: 159
Registered: July 2009
Senior Member
Hi,
I'm getting following issues when first launching a product built with PDE Build:

Bundle "XYZ" version "ABC" has already been installed from: reference:file:plugins/XYZ_ABC.jar

for all bundles in my application. A part of log attached below.
So far I've found following Pascal suggestion:
http://markmail.org/message/kiwoywcqldw2lyaf

He says "This happens when the reconciliation behavior of update.configurator is
not turned off or if you ship update.configurator.
Two ways around this:
1) do not ship update.configurator
2) add to the following propery to the config.ini
org.eclipse.update.reconcile=false"

Now, adding org.eclipse.update.reconcile=false does the job, but it looks like just a workaround. I want to try another solution - but how to not ship "org.eclipse.update.configurator"? It's part of RCP 3.5.0, why wasn't it removed from there?


part of log file:

!ENTRY org.eclipse.update.configurator 4 0 2009-05-30 21:55:12.218
!MESSAGE Could not install bundle plugins/org.eclipse.core.runtime.compatibility_3.2.0.v200710 08.jar Bundle "org.eclipse.core.runtime.compatibility" version "3.2.0.v20071008" has already been installed from: reference:file:plugins/org.eclipse.core.runtime.compatibilit y_3.2.0.v20071008.jar

!ENTRY org.eclipse.update.configurator 4 0 2009-05-30 21:55:12.218
!MESSAGE Could not install bundle plugins/org.eclipse.core.runtime_3.4.0.v20080512.jar Bundle "org.eclipse.core.runtime" version "3.4.0.v20080512" has already been installed from: reference:file:plugins/org.eclipse.core.runtime_3.4.0.v20080 512.jar

!ENTRY org.eclipse.update.configurator 4 0 2009-05-30 21:55:12.218
!MESSAGE Could not install bundle plugins/org.eclipse.core.variables_3.2.100.v20080529-1300.ja r Bundle "org.eclipse.core.variables" version "3.2.100.v20080529-1300" has already been installed from: reference:file:plugins/org.eclipse.core.variables_3.2.100.v2 0080529-1300.jar
Previous Topic:Building a standalone Equinox application
Next Topic:Description of type and options attribute for a referenced repository in p2 context.xml
Goto Forum:
  


Current Time: Tue Oct 21 13:35:29 GMT 2014

Powered by FUDForum. Page generated in 0.01433 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software